[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TAddMode

TAddMode - enumerated type containing a series of constants to determine the place where a node should be placed in a tree.

## Declaration

Source position: comctrls.pp line 1801

`type TAddMode = (`
`taAddFirst,` |  |
`taAdd,` |  |
`taInsert` |  |
`);`

## Description

This sets consist of three values:

taAdd: Adds the node as the last child.

taAddFirst: Adds the node as the first child.

taInsert: Adds the node in front another node.

This set is used in TTreeNode.InternalMove and TTreeNodes.InternalAddObject

The latest version of this document can be found at lazarus-ccr.sourceforge.net.